1.8에 해당되는 글 14건

Textcube 1.8 alpha 2 공개

Category : 업데이트/테스트 버전
Reg Date : 2008/08/26 01:18

Textcube (이하 텍스트큐브) 1.8의 두번째 알파버전 (1.8.6582.20080825)을 공개합니다. 이후 알파버전은 베타 일정에 들어가기 전까지 1주일을 주기로 발표될 예정입니다.

텍스트큐브 1.8은 텍스트큐브 1.7을 기반으로 새로운 환경에 대응하기 위한 텍스트큐브 2.0 이전의 버전입니다. 원래 예정되었던 텍스트큐브 2.0 로드맵을 연기하면서 텍스트큐브 2.0이 설치되기 위한 제반 환경의 구축 및 홍보를 위한 버전입니다. 텍스트큐브 1.8은 1.7 코어의 하부 구조를 새로운 기반인 PHP 5.2 / MySQL 4.1의 기능을 충분히 활용하여 개선함과 동시에 대량 트래픽에 대한 대응 및 다양한 데이터베이스 지원과 텍스트큐브 2.0 프레임웍의 일부 테스트를 목표로 합니다.

주의사항

이 버전은 테스트를 위한 버전입니다. 관련한 인터페이스 및 코드 규격은 언제든지 변경될 수 있습니다. 또한 안정성에 대한 검증이 되지 않은 버전입니다. 실제 사용하는 블로그에는 적용하지 않는 것을 권장합니다.

또한 텍스트큐브 1.8은 PHP 5.2 이하의 버전에서 정상적으로 동작하지 않을 수 있습니다. 설치하는 서버의 PHP 버전이 5.2 이상인지 반드시 확인하시기 바랍니다.

텍스트큐브 1.7 코어와 비교하여 텍스트큐브 1.8 alpha 2에서 변경된 점은 다음과 같습니다.

  • 하부구조가 변경되었습니다. 업그레이드 형식으로 테스트할 경우 기존의 스킨이 보이지 않을 수 있습니다. 스킨을 포함한 구성요소들의 위치가 모두 변경되었습니다.
    • 블로그 스킨의 경우 /skin/blog 디렉토리로,
    • 관리 패널 스킨의 경우 /skin/admin 디렉토리로,
    • 카테고리 트리 스킨의 경우 /skin/tree 로 변경되었습니다.
    • 기존에 사용하시던 스킨은 해당되는 디렉토리로 이동해 주시기 바랍니다.
  • memcached를 이용한 가속을 지원합니다. 이 기능을 사용하기 위해서는 서버 설정에서 memcache 사용을 체크하시면 됩니다. 기본값 이외의 memcached 설정을 위해서는 config.php에서 $memcached 변수를 통해 세부 사항을 지정할 수 있습니다. 가능한 값으로는 $memcached['port'], $memcached['server'] 값이 있습니다
  • MySQLi를 사용한 데이터베이스 연결을 지원합니다. MySQLi를 지원하는 시스템의 경우 config.php에 $service['dbms'] = 'mysqli'; 를 추가하시기 바랍니다.

피드백

테스트 중 개선에 대한 건의 사항이나 버그 보고는 태터 네트워크 재단 / 태터앤 프렌즈 포럼 의 아이디어 포럼이나 버그 보고 및 품질 검수 포럼으로 부탁 드립니다.

소스에 대하여 궁금하거나 변경사항을 추적하고 싶은 분들께서는 텍스트큐브 소스 내의 doc 디렉토리에 여러 문서들이 있으므로 참고하시기 바랍니다.

아래의 링크에서 다운로드 할 수 있습니다.

2008/08/26 01:18 2008/08/26 01:18

Posted by 텍스트큐브

이 글의 관련글(트랙백) 주소 : 이 글에는 트랙백을 보낼 수 없습니다
Comments
COMMENT*

Textcube 1.8 alpha 1 공개

Category : 업데이트/테스트 버전
Reg Date : 2008/08/16 23:16

Textcube (이하 텍스트큐브) 1.8의 첫번째 알파버전 (1.7.6561.20080816)을 공개합니다. 이후 알파버전은 베타 일정에 들어가기 전까지 1주일을 주기로 발표될 예정입니다.

텍스트큐브 1.8은 텍스트큐브 1.7을 기반으로 새로운 환경에 대응하기 위한 텍스트큐브 2.0 이전의 버전입니다. 원래 예정되었던 텍스트큐브 2.0 로드맵을 연기하면서 텍스트큐브 2.0이 설치되기 위한 제반 환경의 구축 및 홍보를 위한 버전입니다. 텍스트큐브 1.8은 1.7 코어의 하부 구조를 새로운 기반인 PHP 5.2 / MySQL 4.1의 기능을 충분히 활용하여 개선함과 동시에 대량 트래픽에 대한 대응 및 다양한 데이터베이스 지원과 텍스트큐브 2.0 프레임웍의 일부 테스트를 목표로 합니다.

주의사항

이 버전은 테스트를 위한 버전입니다. 관련한 인터페이스 및 코드 규격은 언제든지 변경될 수 있습니다. 또한 안정성에 대한 검증이 되지 않은 버전입니다. 실제 사용하는 블로그에는 적용하지 않는 것을 권장합니다.

또한 텍스트큐브 1.8은 PHP 5.2 이하의 버전에서 정상적으로 동작하지 않을 수 있습니다. 설치하는 서버의 PHP 버전이 5.2 이상인지 반드시 확인하시기 바랍니다.

텍스트큐브 1.7 코어와 비교하여 텍스트큐브 1.8 alpha 1에서 변경된 점은 다음과 같습니다.

  • 하부구조가 변경되었습니다. 업그레이드 형식으로 테스트할 경우 기존의 스킨이 보이지 않을 수 있습니다. 스킨을 포함한 구성요소들의 위치가 모두 변경되었습니다.
    • 블로그 스킨의 경우 /skin/blog 디렉토리로,
    • 관리 패널 스킨의 경우 /skin/admin 디렉토리로,
    • 카테고리 트리 스킨의 경우 /skin/tree 로 변경되었습니다.
    • 기존에 사용하시던 스킨은 해당되는 디렉토리로 이동해 주시기 바랍니다.
  • memcached를 이용한 가속을 지원합니다. 이 기능을 사용하기 위해서는 서버 설정에서 memcache 사용을 체크하시면 됩니다. 기본값 이외의 memcached 설정을 위해서는 config.php에서 $memcached 변수를 통해 세부 사항을 지정할 수 있습니다. 가능한 값으로는 $memcached['port'], $memcached['server'] 값이 있습니다
  • MySQLi를 사용한 데이터베이스 연결을 지원합니다. MySQLi를 지원하는 시스템의 경우 config.php에 $service['dbms'] = 'mysqli'; 를 추가하시기 바랍니다.

피드백

테스트 중 개선에 대한 건의 사항이나 버그 보고는 태터 네트워크 재단 / 태터앤 프렌즈 포럼 의 아이디어 포럼이나 버그 보고 및 품질 검수 포럼으로 부탁 드립니다.

소스에 대하여 궁금하거나 변경사항을 추적하고 싶은 분들께서는 텍스트큐브 소스 내의 doc 디렉토리에 여러 문서들이 있으므로 참고하시기 바랍니다.

아래의 링크에서 다운로드 할 수 있습니다.

2008/08/16 23:16 2008/08/16 23:16

Posted by 텍스트큐브

이 글의 관련글(트랙백) 주소 : 이 글에는 트랙백을 보낼 수 없습니다
Comments
  1. BlueTaggz
    2008/08/17 00:10  PERMALINK  MODIFY/DELETE  REPLY

    5.2이하....미지원...멍...

    • 텍스트큐브
      2008/08/17 01:56  PERMALINK  MODIFY/DELETE

      그래서 1.8이 버퍼로 나왔다는...

      1.8의 외양과 기능은 1.7 트리에도 반영이 될 예정입니다.^^

  2. BlueTaggz
    2008/08/17 00:16  PERMALINK  MODIFY/DELETE  REPLY

    리소스 폴더 누락 아닌가요?(모든 패키지)

    • 텍스트큐브
      2008/08/17 01:57  PERMALINK  MODIFY/DELETE

      예 1.7에서 1.8로 오면서 구조가 바뀌어서, 기존의 패키저가 오류를 냈습니다. (설마 손으로 매번 패키징한다고 믿으신 것은... 네, 1년전까지 그랬습니다. T_T)

      해당 부분을 수정해서 새 버전을 업로드 하였습니다. 감사합니다^^

  3. 체즈
    2008/08/17 02:27  PERMALINK  MODIFY/DELETE  REPLY

    으아 5.2라니 전 좀 기다려야겠군요. 제가 쓰는 서버는 4.4라...

    • 지니
      2008/08/17 17:37  PERMALINK  MODIFY/DELETE

      호스팅 업체에 PHP 버전을 업그레이드 해달라고 요구하면 업그레이드 해줄겁니다. 아마...

  4. 지니
    2008/08/17 17:36  PERMALINK  MODIFY/DELETE  REPLY

    드디어 나왔군요! 구버전에 얽매이지 않고,
    호스팅 업체들이 얼른 PHP 버전업을 했으면 좋겠습니다.

  5. 재성才誠
    2008/08/17 19:29  PERMALINK  MODIFY/DELETE  REPLY

    저는 PHP 4.4.8을 쓰는데 업그레이드해 줄 생각이 없는 것 같네요. 정식도 5.2 이상에서만 정상 작동하는 건가요?

  6. Storyair
    2008/08/17 22:05  PERMALINK  MODIFY/DELETE  REPLY

    I got white screen problem after the successful setup step.
    How can i solve that problem?
    thankyou~

    • TCLover
      2008/08/17 22:23  PERMALINK  MODIFY/DELETE

      That would be Skin error I think.
      Get skin into tcroot/skin/blog

    • Storyair
      2008/08/18 09:43  PERMALINK  MODIFY/DELETE

      I check that the skin path also hadn't got any error.
      Anyone got this problem or know how to fix it?
      thankyou~

    • ko@tattersite.com
      2008/08/18 16:06  PERMALINK  MODIFY/DELETE

      Please check the memory reserved for PHP5. It should be larger than 24MB, still. (TC 1.8 is under development^^)

    • Storyair
      2008/08/18 21:57  PERMALINK  MODIFY/DELETE

      Thankyou all of you! the problem get fixed. =]
      *The language file got probem! /3\

  7. 종횡무진
    2008/08/17 22:30  PERMALINK  MODIFY/DELETE  REPLY

    고생 많으셨습니다.
    도움을 드려야 하는데 그러질 못해서 죄송하네요.
    현재 사용 중인 호스팅이 5.2이상은 지원하지 않는지라 쓸 수 없지만ㅠㅠ 말 입니다.

COMMENT*
  *1   *2   *3   *4   *5   NEXT >>